html {
  margin: 0;
  padding: 0;
  border: 0;
  height: 100%;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}
ol, ul {
  list-style: none;
  -webkit-padding-start: 0px;
}

blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

a {
  text-decoration: none;
  color: black;
}

a:hover {
  text-decoration: none;
  color: black;
}

/* END CSS RESET */

h4 {
  font-size: 18px;
  font-style: bold;
}

.innerHistoryTable{
  width: 100%;
}

#error-flash {
  color: white;
  display: inline-block;
  margin-top: 60px;
  text-align: center;
  width: 600px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  font-size: 20px;
}

.btn{
  background-color: #990000 !important;
  border: none !important;
  color: #FFF;
}

button:hover {
  color: #FFCC00 !important;
}

.usc-logo {
  margin-top: 50px;
}

.usc-logo img {
  display:block;
  margin:auto;
}

.login-title {
  /*text-align: center;*/
  margin-top: 16px;
  font-size: 36px;
  margin-left: 20px;
}

.background-body {
  background-color: #990000;
}

.login-content {
  display:flex;
  position: absolute;
  left:15%;
  right:15%;
}

.login-content .login-box {
  background-color: rgba(255, 255, 255, 0.9);
  padding:22px;
  float:left;
  flex:100%;
  margin: 16px;
  text-align: center;
  border-radius: 6px;
}

.login-content .form-signin-heading {
    font-size: 22px;
}

.login-content .login-box button {
  margin-top: 10px;
}

.login-content .login-box .form-control {
  position: relative;
  height: auto;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  padding: 10px;
  font-size: 16px;
  margin-top: 10px;
  min-width:140px;
}

body {
  font: 14px 'Open Sans', Helvetica, Arial, sans-serif;
}

* {
  box-sizing: border-box;
}

h1 {
  font-size: 28px; 
  font-weight: bold;
}

.data-row{
  width: 100%;
}

.hidden_elem {
  display: none;
}

#gameCodeName {
  font-size: 20px;
}

.game_status {
  width: 100%;
  /*height: 100%;*/
  margin: 0px;
  padding: 40px;
  padding-top: 0px;
  padding-bottom: 0px;
}

.game_status .header {
  margin: 10px;
  margin-left: 0px;
  margin-bottom: 40px;
  position: relative;
  overflow: hidden;
}

.header {
  color: white;
  width: 100%;
}

.game_status .header .roundInfo {
  float:left;
  width: 35%;
}

.game_status .header .timeInfo {
  float:left;
  width: 65%;
  text-align: right;
}

.game_status .infoView {
  margin-top: 20px;
  margin-bottom: 20px;
  border:1px solid black;
}

.game_status .statusContent {
  padding: 10px;
  background-color: rgb(240, 240, 240);
}

.game_status .historyView {
  margin-top: 20px;
  margin-bottom: 20px;
  border: 1px solid black;
}

.game_status .historyView .historyTable {
  display: flex;
  flex-direction: column;
  background-color: rgb(240, 240, 240);
  border-bottom: 1px solid black;
  border-top: 1px solid black;
  font-size: 10pt;
  padding: 4px;
  max-height: 390px;
  min-height: 100px;
  overflow: scroll;
}

.game_status .historyView .historyTable div {
  font-size: 14px;
}

.game_status .sectionHeader {
  text-align: center;
  background-color: #990000;
  color: #FFFFFF;
  padding-top: 4px;
  padding-bottom: 4px;
  font-size: 10pt;
}

.instructions_box {
  width: 100%;
  height: 100%;
  margin: 0px;
  padding: 40px;
  padding-top: 0px;
  padding-bottom: 0px;
}

.statusContent p {
  font-size: 15px;
}

#GamePage_title {
  margin-top: 0;
  padding-top: 30px;
  margin-left: 40px;
  color: white;
}

.GamePage {
  white-space: nowrap;
  background-color: #990000;
}

.GamePage #GamePage_status {
  color: #FFCC00;
  margin-left: 40px;
}

.GamePage_paused #GamePage_status { }

.GamePage_ended #GamePage_status  { }

.GamePage_notStarted #GamePage_status { }

.GamePage_paused {
  background-color: #777777;
}

.GamePage_ended {
  background-color: #777777;
}

.GamePage_notStarted {
  background-color: #777777;
}

.GamePage_overlay {
  width:100%
  height:100%
  position: absolute;
  top:0;
  left:0;
  z-index: 100;
  background-color: red;
}

.GamePage_leftColumn {
  float: left;
  width: 30%;
  min-width: 430px;
  height: 100vh;
  overflow-y: scroll;
  white-space: normal;
  vertical-align: top;
}

.GamePage_rightColumn {
  height: 100vh;
  white-space: normal;
  overflow: hidden;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.GameGrid_aspectRatio {
  position: relative;
  height: 88vh;
  width: 88vh;
  margin-left: auto;
  margin-right: auto;
}

.GameGrid_stretch {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.GameGrid_imageContainer {
  height: 100%;
  width:  100%;
}
 
.GridCell {
  float: left;
  position: relative;
}

.GridCell_sticker {
    width: 100%;
    height: 100%;
    background: black;
}

.GridCell_dot {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 2vh;
    height: 2vh;
    background: black;
    border-radius: 50%;
}

.GridCell_overlay {
  position: absolute;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  padding: 5px;
}

.GridCell_hoverIndicator:hover {
  border: 3px solid #C4AC4D;
}

.GridCell_chosen {
  border: 3px solid #C4AC4D;
}

.GridCell_clickable {
  cursor: pointer;
}

.GridCell_clickable:hover {
  border: 3px solid #FFCC00;
}

.GridCell_label {
  font-size: 20px;
  font-weight: bold;
  color: #CCCCCC;
}

.GridCell_labelLeft {
  border-top: none;
  border-left: none;
  border-bottom: none;
  padding-right: 4px;
  text-align: right;
  position: relative;
  top: 50%;
  transform: translateY(-50%);
}

.GridCell_labelTop {
  border-top: none;
  border-left: none;
  border-right: none;
  text-align: center;
  position: relative;
  top: 100%;
  transform: translateY(-100%);
}

.GridCell_pastChoices {
  position: absolute;
  bottom: 3px;
  text-align: right;
  height: 26%;
  font-size: 1.25vh;
  width: 100%;
}

.GridCell_pastChoices_bad {
  /*color: #C90000;*/
  color: #CCCCCC;
}

.GridCell_pastChoices_good {
  color: #00DE52;
}

.GridCell .GridCell_hoverCard:hover {
  display: none;
}

/*(this is what causes the hovercard to show on hover)*/
.GridCell_overlay:hover ~ .GridCell_hoverCard {
  display: initial;
}

.GridCell_hoverCard {
  background-color: rgba(255,255,255,0.9);
  box-shadow: 0px 2px 10px rgba(0,0,0,0.4);
  display: none; /* hide unless we're hovering over the GridCell */
  padding: 0;
  position: absolute;
  right: -130px;
  top:-4px;
  width: 120px;
  z-index: 100;
}

.GridCell_bottomHalf .GridCell_hoverCard {
  top: initial;
  bottom: -4px;
}

.GridCell_rightHalf .GridCell_hoverCard {
  left: -130px;
}

.GridCell_hoverCardTitle {
  font-weight: bold;
  background-color: #CCCCCC;
  padding: 0 4px 2px;
}

.GridCell_hoverCardContent {
  padding: 4px;
}

.GridCell_chooser {
  background-color: rgba(255,255,255,1);
  box-shadow: 0px 2px 10px rgba(0,0,0,0.4);
  width:170px;
  min-height: 140px;
  position:absolute;
  z-index: 200;
  color:black;
  top: -4px;
  right: -180px;

}

.GridCell_bottomHalf .GridCell_chooser {
  top: initial;
  bottom: -4px;
}

.GridCell_rightHalf .GridCell_chooser {
  left: -180px;
}

.GridCell_chooserTitle {
  font-weight: bold;
  background-color: #CCCCCC;
  padding-left: 4px;
  padding-bottom: 2px;
}

.GridCell_chooserContent {
    padding: 8px;
}

.GridCell_button {
  margin-top: 4px;
  font-size: 14px;
  width: 100%;
}

.transparency-title {
    font-size: 20px;
}

#game-box {
  width: 400px !important;
  left: 0%;
  right: 0%;
  position: none;
  margin-left: auto;
  margin-right: auto;
}

#game-code{
  font-size: 20px;
  margin-bottom: 20px;
}

#register-form{
  width: 600px !important;
  position: none;
  margin-left: auto;
  margin-right: auto;
}

.team-list-join {
  font-size: 15px;
  margin-bottom: 20px;
}

.team-list-display {
  background-color: #ccc;
  border: 1px solid #337ab7;
  border-radius: 6px;
  height: auto;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.team-list-display #head {
  font-size: 18px;
  margin-top: 15px;
}

#endGameButton {
  float:right;
}

/* Admin Page CSS */
#admin-page-header{
  font-size: 22px;
  background-color: #990000;
  color: white;
  padding: 10px;
  padding-left: 20px;
  padding-right: 20px;
}

#admin-page-header a{
  padding-right: 10px;
  padding-left: 10px;
  color: white;
}

#admin-page-header a:hover{
  padding-right: 10px;
  padding-left: 10px;
  color: white;
  text-decoration: underline;
}

#admin-page-header-code {
  font-size: 20px;
  float:right;
}

.admin-header-bar {
  background-color: #990000;
  /*display: flex;*/
  /*flex-direction: row;*/
  /*flex-wrap: nowrap;*/
  justify-content: space-between;
  border-bottom: 1px solid white;
  padding: 10px;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 20px;
  /* internal padding: 32px from top of browser */
}

.admin-header-button {
  font-size: 14px;
  font-weight: bold;
  padding: 10px; /* needs to be reviewed by Kelsey */
  color: #990000;
  margin-left: 4px;
  border: 0;
  background-color: #FFF;
  border-radius: 5px;
}

.admin-header-button-container {
  /* 614px from left size */
}

.admin-time-left-text {
  font-size: 26px;
  color: white;
}

.admin-time-left-container {
  padding-bottom: 10px;
  text-align: center;
}

.admin-results {
  text-align: center;
  width: 100%;
  background-color: #FFFFFF;
}

.admin-results-graph {
  background-color: white;
  /*color:#b5d5b3;*/
  /*color: black;*/
  border: 2px solid black;
  padding-top: 10px;
/*  fill: #ff0000;*/
}

.left-guideline{
  color: #1F77B4;
  padding-top: 20px;
}

.right-guideline{
  color: #AEC7E8;
  padding-bottom: 20px;
}

.admin-results-graph-container {
  background-color: rgba(255, 255, 255, 0.9);
  margin-top: 20px;
  width: 950px;
  padding:20px;
  border-radius: 5px;
  overflow-x: scroll;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.admin-results-overall {
  height:480px;
  border-radius: 5px;
  border: 2px solid black;
  margin-top: 80px;
  overflow: hidden;
  padding:0px;
}

.admin-results-overall-title {
  background-color: #990000;
  color: white;
  font-size: 20pt;
  font-weight: bold;
  padding-top: 12px;
  padding-bottom: 12px;
}

.admin-results-overall-team-title {
  font-size: 18pt;
  background-color: #e1e1e1;
  padding-top: 8px;
  padding-bottom: 8px;
  border-top: 2px black solid;
  border-bottom: 2px black solid;
}

.admin-results-cell {
  border-bottom: 2px solid black;
  background-color: #e1e1e1;
  font-size: 18pt;
  padding-top: 10px;
  padding-bottom: 10px;
}

.admin-round-status-text {
  font-size: 24px;
  color: white;
}
